<?php
/*
Plugin Name: Has High
Version: 1.7.b
Description: Ajoute un lien "Avec haute dfinition" dans le menu "Spciales"/ Add a "With high definition" link in "Specials" menu.
Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=222
Author: P@t
Author URI: http://www.gauchon.com
*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
define('HASHIGH_PATH' , PHPWG_PLUGINS_PATH . basename(dirname(__FILE__)) . '/');

function add_link_has_high()
{
  global $template, $conf;

  include(get_language_filepath('plugin.lang.php', HASHIGH_PATH));

  if (isset($conf['hashigh_position']) and is_numeric($conf['hashigh_position']))
  {
    $array = $template->_tpldata['special_cat.'];
    $template->delete_block_vars('special_cat', true);
    
    for($i=0; $i <= count($array); $i++)
    {  
      if ($conf['hashigh_position'] == $i+1)
      {
        $template->assign_block_vars('special_cat',
          array('URL' => make_index_url(array('section' => 'has_high')),
                'TITLE' => $lang['has_high_cat_hint'],
                'NAME' => $lang['has_high_cat']));
      }
      if (isset($array[$i]))
      {
        $template->assign_block_vars('special_cat', $array[$i]);
      }
    }
  }
  else
  {
    $template->assign_block_vars('special_cat',
      array('URL' => make_index_url(array('section' => 'has_high')),
            'TITLE' => $lang['has_high_cat_hint'],
            'NAME' => $lang['has_high_cat']));
  }
}

function section_init_has_high()
{
  global $tokens;
  if (in_array('has_high', $tokens))
    include(HASHIGH_PATH . 'has_high.php');
}

add_event_handler('loc_end_menubar' , 'add_link_has_high');
add_event_handler('loc_end_section_init', 'section_init_has_high');

?>